package student;

import java.io.PrintWriter;
import java.util.TreeMap;
import java.util.TreeSet;

public class Student {
    private String name;
    private TreeMap<Integer,Integer> grades;
    
    public Student(String name) {
        this.name = name;
        grades = new TreeMap<Integer,Integer>();
    }
    
    public String getName() { return name; }
    
    public void recordGrade(int quiz,int grade) {
        grades.put(quiz, grade);
    }
    
    public double quizAverage() {
        double sum = 0;
        for(int score : grades.values())
            sum += score;
        return sum/grades.size();
    }

    public void printMissing(TreeSet<Integer> quizzes,PrintWriter out) {
        for(int n : quizzes) {
            if(!grades.containsKey(n))
                out.println(name + " " + n);
        }
    }
}
